methods:
  post:
    - field1
    - attributeid
    - "attribute_value{title}"

fillin:
  enabled: true
  param:
   check_types:     [text, textarea, radio, hidden, checkbox]

names:
  field1:
    required:      true
    required_msg:  Code couleur obligatoire
    validators:    [MyColorCodeValidator]

  attributeid:
    required:      true
    required_msg:  Choix d'un type de couleur obligatoire

  attribute_value{title}:
    required:      true
    required_msg:  Libell&eacute; obligatoire
    validators:    [MyStringValidator]

MyColorCodeValidator:
    class:         sfStringValidator
    param:
        min:       6
        min_error: Merci d'entrer exactement 6 caract&egrave;res
        max:       6
        max_error: Merci d'entrer exactement 6 caract&egrave;res

MyStringValidator:
    class:         sfStringValidator
    param:
        min:       2
        min_error: Merci d'entrer plus de 2 caract&egrave;res
        max:       45
        max_error: Merci d'entrer moins de 45 caract&egrave;res
